Bug 193845 - ksysguardd would make a nice service
ksysguardd would make a nice service
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
http://developer.kde.org/~binner/dist...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 01:01 EDT by Greg Martyn
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 19:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Martyn 2006-06-02 01:01:40 EDT
SUSE lets you start ksysguardd as a init.d process. It would be nice if Fedora
supported that too.

KSysGuardd is a daemon that lets ksysguard (the gui) monitor remote computers.

A patch is available:
http://developer.kde.org/~binner/distributor-patches/SUSE/10.1/kdebase3-3.5.1-69/ksysguardd.init


Thanks.
Comment 1 Laurent Rineau 2008-03-11 18:34:57 EDT
ksysguard can monitor remote computer through ssh, launching ksysguardd on the 
remote machine if needed. What are the advantages to have ksysguardd launched 
by init? Is not there any security issue?!
Comment 2 Greg Martyn 2008-03-11 19:32:06 EDT
The sensitive parts of ksysguardd are disabled when run as a daemon (the -d
switch), but you're right; I can't think of any advantage to using the daemon
over ssh=>ksysguardd

Note You need to log in before you can comment on or make changes to this bug.